<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$loginCookie=(isset($loginSesionPorCookies) && $loginSesionPorCookies); //Esto tiene que estar definido en el config.php

$traza=(isset($_GET['traza']) && $_GET['traza']=='si');

$usuario='';
if(isset($_GET['usuario']) && $_GET['usuario']) $usuario=$_GET['usuario']; else if(isset($_POST['usuario'])) $usuario=$_POST['usuario'];

$peticion='SGAListaEmpresas#'.$usuario;
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($traza) {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

$_SESSION['empresas']=array();

foreach(arreglaArrayPXMobileProxiumResult($resultado) as $empresa) {
	if( $empresa['Codigo'] && !($empresa['Codigo']=='EP' && isset($ocultarEP) && $ocultarEP) ) $_SESSION['empresas'][]=$empresa;
}

//12-11-2025 nuevo control por cookie
if($loginCookie) {
	setcookie('proxiumSGA_empresas',base64_encode(serialize($_SESSION['empresas'])),time()+54000,'/'); //15 horas
}

if($traza) {
	echo "<p>Sesión empresas:</p>";
	print_r($_SESSION['empresas']);
}

if(count($_SESSION['empresas'])>1) {
	?><option value="" selected="selected">---</option><?php
}

foreach($_SESSION['empresas'] as $empresa) {
	?><option value="<?php echo $empresa['Codigo']; ?>"><?php echo $empresa['Nombre']; ?></option><?php
}

?>